document.addEventListener('DOMContentLoaded', () => {
  const heartContainer = document.getElementById('heart-container');
  const sendLoveButton = document.getElementById('sendLove');

  function createHeart() {
    const heart = document.createElement('div');
    heart.classList.add('heart');
    heart.innerHTML = '❤️';
    heart.style.left = Math.random() * 100 + 'vw';
    heart.style.fontSize = (Math.random() * 20 + 20) + 'px';
    heart.style.animationDuration = (Math.random() * 2 + 3) + 's';
    heart.style.opacity = Math.random() * 0.5 + 0.5;
    
    heartContainer.appendChild(heart);
    
    setTimeout(() => {
      heart.remove();
    }, 4000);
  }

  function createLoveBomb() {
    for (let i = 0; i < 30; i++) {
      setTimeout(createHeart, i * 100);
    }
  }

  sendLoveButton.addEventListener('click', () => {
    createLoveBomb();
    sendLoveButton.style.transform = 'scale(0.95)';
    setTimeout(() => {
      sendLoveButton.style.transform = 'scale(1)';
    }, 100);
  });

  // Create occasional ambient hearts
  setInterval(() => {
    if (Math.random() > 0.7) {
      createHeart();
    }
  }, 2000);

  // Initial hearts
  for (let i = 0; i < 5; i++) {
    createHeart();
  }
});